import type { MessageApi } from 'naive-ui'
import { createDiscreteApi } from 'naive-ui'
// 创建消息 API
function createMessage() {
  const { message } = createDiscreteApi(
    ['message']
  )
  window.message = message
}

// 导出类型
export type { MessageApi } from 'naive-ui'

export default createMessage